@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;0,600;1,300;1,400;1,600&display=swap');

@import "./_variables.scss";

// Reset.
*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

button, input[type="submit"], input[type="reset"] {
  all: initial;
  cursor: pointer;

  img {
    display: block;
  }
}

// Style

html, body {
  height: 100vh;
  width: 100vw;
  overflow: hidden;

  display: flex;

  font-size: $font-size;
  font-family: $font-family;

  background: #FAFAFA;

  position: relative;
}

main {
  flex: 1;
  background-image: $white-gradient;

  display: flex;
}

.mobile-only {
  display: none;
}

.container {
  background: url('../images/bg-pattern-desktop.svg');
  flex: 1;

  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 66px 26.5% 162px 20%;

  .content {
    margin-top: 130px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    flex: 1 0 auto;

    max-width: 450px;
    max-height: 405px;

    h1 {
      color: $desaturated-red;
      font-size: 64px;
      text-transform: uppercase;
      font-weight: 300;
      letter-spacing: 17.5px;
      line-height: 68px;

      .subtitle {
        color: $dark-grayish-red;
        font-weight: 600;
      }
    }

    p {
      color: $desaturated-red;
      margin-top: 23px;
      font-weight: 500;
      letter-spacing: 0.05px;
      line-height: 27px;
    }

    form {
      position: relative;

      input {
        width: 100%;
        padding: 19px 110px 19px 31px;
        border-radius: 100px;
        font-family: inherit;
        font-size: inherit;

        background: transparent;

        $border-color: transparentize($desaturated-red, 0.5);

        border: 1px solid $border-color;

        &::placeholder {
          color: $border-color;
        }

        &:active, &:focus {
          outline: none;
        }
      }


      #email-input-container {
        &[data-error] {
          position: relative;


          input {
            border-color: $soft-red;
            border-width: 2px;
            padding: 18px 150px 18px 31px;
          }

          img {
            position: absolute;
            right: 116px;
            top: 16px;
          }

          &::after {
            content: attr(data-error);
            position: absolute;

            color: $soft-red;
            bottom: -24px;
            left: 33px;
            font-size: 13px;
          }
        }

        &:not([data-error]) {
          img {
            display: none;
          }
        }
      }

      button {
        position: absolute;
        background: $pink-gradient;
        bottom: 0;
        top: 0;
        right: 0;
        padding: 0 44px;
        border-radius: 100px;

        box-shadow: 0 10px 30px 0 rgba(248, 191, 191, .5);

        &:hover {
          background: $pink-gradient-desat;
        }

        &:active {
          background: $pink-gradient-desat;
          box-shadow: 0 10px 20px 0 #E9C4C4;
        }
      }
    }
  }
}

aside.hero {
  img {
    height: 100vh;
    width: auto;
  }
}

footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 5px;

  background: white;
  color: darkblue;
  text-align: center;

  font-size: 13px;
  font-style: italic;
}
